package com.fs.oms.mapper;

import java.util.List;
import com.fs.oms.domain.OmsProductAttr;
import com.fs.store.domain.FsStoreProductAttr;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

/**
 * 商品属性Mapper接口
 * 
 * @author fs
 * @date 2023-06-07
 */
public interface OmsProductAttrMapper 
{
    /**
     * 查询商品属性
     * 
     * @param id 商品属性ID
     * @return 商品属性
     */
    public OmsProductAttr selectOmsProductAttrById(Long id);

    /**
     * 查询商品属性列表
     * 
     * @param omsProductAttr 商品属性
     * @return 商品属性集合
     */
    public List<OmsProductAttr> selectOmsProductAttrList(OmsProductAttr omsProductAttr);

    /**
     * 新增商品属性
     * 
     * @param omsProductAttr 商品属性
     * @return 结果
     */
    public int insertOmsProductAttr(OmsProductAttr omsProductAttr);

    /**
     * 修改商品属性
     * 
     * @param omsProductAttr 商品属性
     * @return 结果
     */
    public int updateOmsProductAttr(OmsProductAttr omsProductAttr);

    /**
     * 删除商品属性
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    public int deleteOmsProductAttrById(Long id);

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOmsProductAttrByIds(Long[] ids);
    @Delete("delete from oms_product_attr where product_id=#{productId}  ")
    int clear(Long productId);
    @Select("select * from oms_product_attr where product_id=#{productId} ")
    List<OmsProductAttr> selectOmsProductAttrByProductId(Long productId);
}
